<?php
date_default_timezone_set('America/Guayaquil');
require '../Conexion/class.sql.inc.php';
require 'nusoap.php';
/*
 *	$Id: wsdlclient11.php,v 1.1 2004/04/22 14:19:45 snichol Exp $
 *
 *	WSDL client sample.
 *	Exercises a document/literal NuSOAP service (added nusoap.php 1.73).
 *
 *	Service: WSDL
 *	Payload: document/literal
 *	Transport: http
 *	Authentication: none
 */



/**
 * SaveDataForFile method
 * @param string $who C?digo de Kiosco
 * param string $status Status of Kiosk. 0:Offline, 1:Online
 */
function SaveDataForFile($fileName, $path){ 
	$db = new EyeMySQLAdap();
	$archivo=fopen('log.txt','a+');
	fputs($archivo,"\n" . date("c") . " Processing:" . $path . $fileName . "\n");
	try{
		// open filename for read data and asociate with register
		$data_send='Recibido:'. $path . $fileName ;
		$fileNameComplete = $path . $fileName ;
		$content = file_get_contents($fileNameComplete);
		fputs($archivo,"content:" .$content . "\n"  );
		$values = split(';',$content);
		fputs($archivo,"InspectionID:" . $values[2] . "\n"  );
		//$strSQL = "SELECT * from sell Where SellID=" . $values[2];
		$strSQL = "SELECT * from inspection Where InspectionID = " . $values[2];
		$resultSQL = $db->query($strSQL);
		$objSQL = mysql_fetch_object($resultSQL);
		$rows=$db->countRows($resultSQL);
		if($rows==0){
			$data_send='NOK:Inspeccion ' . $values[2] . ' no existe!. Verificar por favor!';
			fputs($archivo, $data_send . "\n");
			fclose($archivo); 
			return "$data_send";
		}
		//Movemos el archivo a la carpeta ../Files
		$newPath="../Files/";
		fputs($archivo,'Existe: ' . file_exists($newPath));
		$newFile=$newPath . $values[4];
		//$resultado = rename($values[3],$newFile );
		$resultado = copy($values[3],$newFile );
		fputs($archivo,"Moving [" . $values[3] . "] to [" . $newFile .  "]-> " . $resultado . "\n");
		//Creamos el registro en Document
		$completePath=$newPath . $values[4];
		/*$array = array("Path"=>"'$completePath'",
			"Description"=>"'$values[1]'",
			"SellID"=>$values[2],
			"CreateUserID"=>1,
			"UpdateUserID"=>1,
			"CreateDate"=>"NOW()",
			"UpdateDate"=>"NOW()"
		);*/
		$array = array("Path"=>"'$completePath'",
			"Description"=>"'$values[1]'",
			"InspectionID"=>$values[2],
			"InitDate"=>'1900-01-01',
			"EndDate"=>'1900-01-01',
			"CreateUserID"=>1,
			"UpdateUserID"=>1,
			"CreateDate"=>"NOW()",
			"UpdateDate"=>"NOW()"
			);
		$result=$db->insert($array,"document");
		
		$data_send='OK';
		fputs($archivo,$data_send ."\n");
		fclose($archivo);
		return "$data_send";

	}catch(exception $e){
		fputs($archivo,"Error->" . $e);
		fclose($archivo);
		$data_send="NOK";
		return "$data_send";
	}
	
	
}


$namespace = "http://www.fideicomisosociovivienda2.com/intranet/Services";
// create a new soap server
$server = new soap_server();
// configure our WSDL
$server->configureWSDL("GoSoftwareWebService");
// set our namespace

$server->wsdl->schemaTargetNamespace = $namespace;
// register our WebMethod
$server->register(
	// method name:
	'SaveDataForFile',
	// parameter list:
	array('filename'=>'xsd:string'),
	// return value(s):
	array('return'=>'xsd:string'),
	// namespace:
	$namespace,
	// soapaction: (use default)
	false,
	// style: rpc or document
	'rpc',
	// use: encoded or literal
	'encoded',
	// description: documentation for the method
	'Metodo para cargar el archivo al registro correspondiente ');

// Get our posted data if the service is being consumed
// otherwise leave this data blank.
$POST_DATA = isset($GLOBALS['HTTP_RAW_POST_DATA'])
                ? $GLOBALS['HTTP_RAW_POST_DATA'] : '';


// pass our posted data (or nothing) to the soap service
$server->service($POST_DATA);
exit();


?>

<html><head>	
</head>
<body>

</body>
</html>
